Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.functions
Class URIQueryParameters

    java.lang.Object
      net.sf.saxon.functions.URIQueryParameters

    public class URIQueryParameters

extends Object

A set of query parameters on a URI passed to the collection() or document() function

Nested Class Summary
`static class` | `URIQueryParameters.RegexFilter`

Field Summary
`static int` | `ON_ERROR_FAIL`
`static int` | `ON_ERROR_IGNORE`
`static int` | `ON_ERROR_WARNING`

Constructor Summary
`URIQueryParameters(String query, Configuration config)`

Method Summary
`FilenameFilter` | `getFilenameFilter()` Get the file name filter (select=pattern), or null if unspecified
`Integer` | `getOnError()` Get the value of the on-error=fail|warning|ignore parameter, or null if unspecified
`Boolean` | `getRecurse()` Get the value of the recurse=yes|no parameter, or null if unspecified
`int` | `getStripSpace()` Get the value of the strip-space=yes|no parameter.
`Integer` | `getValidationMode()` Get the value of the validation=strict|lax|preserve|strip parameter, or null if unspecified
`Boolean` | `getXInclude()` Get the value of xinclude=yes|no, or null if unspecified
`XMLReader` | `getXMLReader()` Get the selected XML parser, or null if unspecified

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ON_ERROR_FAIL

    public static final int ON_ERROR_FAIL

See Also:
  Constant Field Values

### ON_ERROR_WARNING

    public static final int ON_ERROR_WARNING

See Also:
  Constant Field Values

### ON_ERROR_IGNORE

    public static final int ON_ERROR_IGNORE

See Also:
  Constant Field Values

Constructor Detail

### URIQueryParameters

    public URIQueryParameters(String query,
                              Configuration config)

Method Detail

### getStripSpace

    public int getStripSpace()

  Get the value of the strip-space=yes|no parameter. Returns one of the values `Whitespace.ALL`, `Whitespace.IGNORABLE`, `Whitespace.NONE`, `Whitespace.UNSPECIFIED`

### getValidationMode

    public Integer getValidationMode()

  Get the value of the validation=strict|lax|preserve|strip parameter, or null if unspecified

### getFilenameFilter

    public FilenameFilter getFilenameFilter()

  Get the file name filter (select=pattern), or null if unspecified

### getRecurse

    public Boolean getRecurse()

  Get the value of the recurse=yes|no parameter, or null if unspecified

### getOnError

    public Integer getOnError()

  Get the value of the on-error=fail|warning|ignore parameter, or null if unspecified

### getXInclude

    public Boolean getXInclude()

  Get the value of xinclude=yes|no, or null if unspecified

### getXMLReader

    public XMLReader getXMLReader()

  Get the selected XML parser, or null if unspecified

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.